<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.base.mapper.MaintenanceTaskMapper">

    <resultMap id="BaseResultMap" type="com.zksy.base.domain.MaintenanceTask">
            <id property="taskId" column="task_id" jdbcType="BIGINT"/>
            <result property="taskNo" column="task_no" jdbcType="VARCHAR"/>
            <result property="deptId" column="dept_id" jdbcType="BIGINT"/>
            <result property="dispatchUserId" column="dispatch_user_id" jdbcType="BIGINT"/>
            <result property="receiveUserId" column="receive_user_id" jdbcType="BIGINT"/>
            <result property="taskDesc" column="task_desc" jdbcType="VARCHAR"/>
            <result property="taskLevel" column="task_level" jdbcType="TINYINT"/>
            <result property="taskStatus" column="task_status" jdbcType="TINYINT"/>
            <result property="planStartTime" column="plan_start_time" jdbcType="TIMESTAMP"/>
            <result property="planEndTime" column="plan_end_time" jdbcType="TIMESTAMP"/>
            <result property="realStartTime" column="real_start_time" jdbcType="TIMESTAMP"/>
            <result property="realEndTime" column="real_end_time" jdbcType="TIMESTAMP"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        task_id,task_no,dept_id,
        dispatch_user_id,receive_user_id,task_desc,
        task_level,task_status,plan_start_time,
        plan_end_time,real_start_time,real_end_time,
        create_time,update_time
    </sql>
</mapper>
